Loading...
Searching...
No Matches
BALL::VIEW::Point Class Reference
Visualisation » Geometric Objects

`#include <BALL/VIEW/PRIMITIVES/point.h>`

Inheritance diagram for BALL::VIEW::Point:

## Public Member Functions

Constructors
| Point ()
| Point (const Point &point)
Destructors
virtual | ~Point ()
virtual void | clear ()
Assignment methods
void | set (const Point &point)
const Point & | operator= (const Point &point)
void | swap (Point &point)
debuggers and diagnostics
virtual bool | isValid () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual void | getVertices (vector< Vector3 > &vertices) const
Public Member Functions inherited from BALL::VIEW::GeometricObject
| GeometricObject ()
| GeometricObject (const GeometricObject &object)
virtual | ~GeometricObject ()
void | set (const GeometricObject &object)
GeometricObject & | operator= (const GeometricObject &object)
void | swap (GeometricObject &object)
void | setComposite (const Composite *composite)
const Composite * | getComposite () const
void | setColor (const ColorRGBA &color)
void | setColor (const ColorUnit &red, const ColorUnit &green, const ColorUnit &blue, const ColorUnit &alpha=(float) 1)
const ColorRGBA & | getColor () const
ColorRGBA & | getColor ()
void | getColor (ColorUnit &red, ColorUnit &green, ColorUnit &blue, ColorUnit &alpha) const
void | getColors (HashSet< String > &colors)
| Insert the colors of this object into the hashset.
bool | operator== (const GeometricObject &object) const
| Needed for MSVC.
bool | operator< (const GeometricObject &object) const
| Needed for MSVC.
virtual void | getVertices (std::vector< Vector3 > &) const
Public Member Functions inherited from BALL::VIEW::Vertex
| Vertex ()
| Vertex (const Vertex &vertex)
virtual | ~Vertex ()
void | set (const Vertex &v)
const Vertex & | operator= (const Vertex &v)
void | swap (Vertex &v)
void | setVertex (const Vector3 &v)
void | setVertex (const float x, const float y, const float z)
Vector3 & | getVertex ()
const Vector3 & | getVertex () const
void | getVertex (Vector3 &v) const
void | getVertex (float &x, float &y, float &z) const
void | setVertexAddress (const Vector3 &v)
void | setDefaultVertexAddress ()
Vector3 * | getVertexAddress () const
bool | isDefaultVertexAddress () const

## Detailed Description

Point class. An instance of Point represents an instance of the geometric representation "point". A point has the following properties.

- color - the color of the point
- vertex - the position of the point
    The class Point is derived from the classes GeometricObject and Vertex. See these classes for further information concerning interface and additional methods.

Definition at line 34 of file point.h.

## Constructor & Destructor Documentation

## Point() [1/2]

BALL::VIEW::Point::Point | ( |  | ) |

Default Constructor. The properties of this point are set to:

- color - to the color black
- vertex - to the vector (0,0,0)

## Point() [2/2]

BALL::VIEW::Point::Point | ( | const Point & | point | ) |

Copy constructor

## ~Point()

virtual BALL::VIEW::Point::~Point | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::Point::clear | ( |  | ) |

virtual

Explicit default initialization. Calls GeometricObject::clear Calls Vertex::clear

Reimplemented from BALL::VIEW::GeometricObject.

## dump()

virtual void BALL::VIEW::Point::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current value of this point to the output ostream s with dumping depth depth. Calls GeometricObject::dump. Calls Vertex::dump.

Parameters

  s | output stream where to output the value of this point
  depth | the dumping depth

See also
  GeometricObject::dump
  Vertex::dump

Reimplemented from BALL::VIEW::GeometricObject.

## getVertices()

virtual void BALL::VIEW::Point::getVertices | ( | vector< Vector3 > & | vertices | ) | const

virtual

## isValid()

virtual bool BALL::VIEW::Point::isValid | ( |  | ) | const

virtual

Internal state and consistency self-validation.

Reimplemented from BALL::VIEW::GeometricObject.

## operator=()

const Point & BALL::VIEW::Point::operator= | ( | const Point & | point | ) |

Assignment operator. Calls set.

## set()

void BALL::VIEW::Point::set | ( | const Point & | point | ) |

Assignment.

## swap()

void BALL::VIEW::Point::swap | ( | Point & | point | ) |

Swapping of point's. Swap the value of this point with the point point.

Parameters

  point | the point being swapped with this point